## cvise 2.1.0

=== CMakeLists.txt ===
## -*- mode: CMake -*-
##
## Copyright (c) 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019 The University of Utah
## All rights reserved.
##
## This file is distributed under the University of Illinois Open Source
## License.  See the file COPYING for details.

###############################################################################

cmake_minimum_required(VERSION 2.8.12)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

include(CheckIncludeFile)
include(CheckCXXCompilerFlag)
include(GetGitRevisionDescription)

project(cvise)

if(CMAKE_SOURCE_DIR STREQUAL PROJECT_BINARY_DIR)
  message(FATAL_ERROR "CMAKE_SOURCE_DIR should be different from PROJECT_BINARY_DIR")
endif()

###############################################################################

# Locate LLVM and check its version.  Do this here because we need the LLVM
# package definitions in the "CMakeLists.txt" files for multiple subdirs.
#
find_package(LLVM REQUIRED CONFIG NO_CMAKE_BUILDS_PATH)
message(STATUS "Found LLVM ${LLVM_PACKAGE_VERSION}")
message(STATUS "Using LLVMConfig.cmake in ${LLVM_DIR}")
if (${LLVM_PACKAGE_VERSION} VERSION_LESS "9.0")
  message(FATAL_ERROR "C-Vise requires LLVM 9.0 or later")
endif()
#
# Do this here, too, just to keep it with the LLVM check above.
#
find_package(Clang REQUIRED CONFIG NO_CMAKE_BUILDS_PATH)
message(STATUS "Using ClangConfig.cmake in ${Clang_DIR}")

# Locate Python and check its version.
#
find_package(PythonInterp 3.6 REQUIRED)

# Locate pytest
execute_process(COMMAND ${PYTHON_EXECUTABLE} -m pytest --version
  OUTPUT_VARIABLE PYTEST_output
  ERROR_VARIABLE  PYTEST_error
  RESULT_VARIABLE PYTEST_result)
if(NOT ${PYTEST_result} EQUAL 0)
  message(WARNING "Pytest package not available: ${PYTEST_error}")
endif()

# Locate Pebble
execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import pebble"
  OUTPUT_VARIABLE PEBBLE_output
  ERROR_VARIABLE  PEBBLE_error
  RESULT_VARIABLE PEBBLE_result)
if(NOT ${PEBBLE_result} EQUAL 0)
  message(WARNING "Pebble package not available: ${PEBBLE_error}")
endif()

# Locate psutil
execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import psutil"
  OUTPUT_VARIABLE PSUTIL_output
  ERROR_VARIABLE  PSUTIL_error
  RESULT_VARIABLE PSUTIL_result)
if(NOT ${PSUTIL_result} EQUAL 0)
  message(WARNING "psutil package not available: ${PSUTIL_error}")
endif()

# Locate flex.  Do this here because we need the package definitions in the
# "CMakeLists.txt" files for multiple subdirs.
#
find_package(FLEX REQUIRED)

find_program(UNIFDEF unifdef)
if(NOT UNIFDEF)
  message(WARNING "unifdef not available")
endif()

###############################################################################

# Determine the short git hash for the source tree.
#
## METHOD 1: The source tree is the result of `git archive'.
# `git archive' inserts the abbreviated hash of the archive's commit into this
# file.  (See the `.gitattributes' file.)
#
set(GIT_HASH "972f4ba")
if(GIT_HASH MATCHES "^\\$")
  ## METHOD 2: The source tree is a git repository.
  get_git_head_revision(GIT_REFSPEC GIT_HASH)
  if(NOT GIT_HASH STREQUAL "GITDIR-NOTFOUND")
    # Trim to the short hash.
    string(SUBSTRING "${GIT_HASH}" 0 7 GIT_HASH)
  else()
    ## METHOD 3: Give up.
    set(GIT_HASH "unknown")
  endif()
endif()

###############################################################################

# Generate the "config.h" file.
#
set(ENABLE_TRANS_ASSERT ON CACHE BOOL
  "Use assert() in clang_delta transformations.")

check_include_file("dlfcn.h"		HAVE_DLFCN_H)
check_include_file("inttypes.h"		HAVE_INTTYPES_H)
check_include_file("memory.h"		HAVE_MEMORY_H)
check_include_file("stdint.h"		HAVE_STDINT_H)
check_include_file("stdlib.h"		HAVE_STDLIB_H)
check_include_file("strings.h"		HAVE_STRINGS_H)
check_include_file("string.h"		HAVE_STRING_H)
check_include_file("sys/stat.h"		HAVE_SYS_STAT_H)
check_include_file("sys/types.h"	HAVE_SYS_TYPES_H)
check_include_file("unistd.h"		HAVE_UNISTD_H)

set(cvise_PACKAGE             "cvise")
set(cvise_PACKAGE_BUGREPORT   "https://github.com/marxin/cvise/issues")
set(cvise_PACKAGE_NAME        "cvise")
set(cvise_PACKAGE_STRING      "cvise 2.1.0")
set(cvise_PACKAGE_TARNAME     "cvise")
set(cvise_PACKAGE_URL         "https://github.com/marxin/cvise/")
set(cvise_PACKAGE_VERSION     "2.1.0")
set(cvise_VERSION             "2.1.0")
set(cvise_LLVM_VERSION        "${LLVM_PACKAGE_VERSION}")

configure_file("cmake_config.h.in" "${PROJECT_BINARY_DIR}/config.h")
add_definitions("-DHAVE_CONFIG_H")

###############################################################################

# Use option `-fvisibility-inlines-hidden` if the C++ compiler supports it.
# See LLVM file `share/llvm/cmake/HandleLLVMOptions.cmake`.
#
check_cxx_compiler_flag(
  "-fvisibility-inlines-hidden"
  SUPPORTS_FVISIBILITY_INLINES_HIDDEN_FLAG
  )

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU"
    OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  # XXX figure out how to get "-std=c++14 -fno-rtti" from LLVM.  That's how we
  # get those options in the Automake path...
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -fno-rtti -fno-strict-aliasing -Wall -Wextra -Wno-unused-parameter")
  if(SUPPORTS_FVISIBILITY_INLINES_HIDDEN_FLAG)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
  endif()
  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3")
  set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -O3")

  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Werror")
  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Werror")
endif()

###############################################################################

# Enable tests
enable_testing()
add_test(NAME all COMMAND ${PYTHON_EXECUTABLE} -m pytest)

###############################################################################

# Needs to be sourced after we have a compiler tested
include(GNUInstallDirs)

add_subdirectory(clang_delta)
add_subdirectory(clex)
add_subdirectory(cvise)
add_subdirectory(delta)

# Copy top-level cvise script
configure_file(
  "${PROJECT_SOURCE_DIR}/cvise.py"
  "${PROJECT_BINARY_DIR}/cvise.py"
  @ONLY
)

configure_file(
  "${PROJECT_SOURCE_DIR}/cvise-delta.py"
  "${PROJECT_BINARY_DIR}/cvise-delta.py"
  @ONLY
)

configure_file(
  "${PROJECT_SOURCE_DIR}/tests/test_cvise.py"
  "${PROJECT_BINARY_DIR}/tests/test_cvise.py"
  COPYONLY
)

configure_file(
  "${PROJECT_SOURCE_DIR}/tests/sources/blocksort-part.c"
  "${PROJECT_BINARY_DIR}/tests/sources/blocksort-part.c"
  COPYONLY
)

configure_file(
  "${PROJECT_SOURCE_DIR}/setup.cfg"
  "${PROJECT_BINARY_DIR}/setup.cfg"
  COPYONLY
)

install(PROGRAMS "${PROJECT_BINARY_DIR}/cvise.py"
  DESTINATION "${CMAKE_INSTALL_BINDIR}"
  RENAME "cvise"
)

install(PROGRAMS "${PROJECT_BINARY_DIR}/cvise-delta.py"
  DESTINATION "${CMAKE_INSTALL_BINDIR}"
  RENAME "cvise-delta"
)

###############################################################################

## End of file.

=== clex/CMakeLists.txt ===
## -*- mode: CMake -*-
##
## Copyright (c) 2012, 2013, 2014, 2015, 2016 The University of Utah
## All rights reserved.
##
## This file is distributed under the University of Illinois Open Source
## License.  See the file COPYING for details.

###############################################################################

cmake_minimum_required(VERSION 2.8.12)

# find_package(FLEX) is done by the topmost "CMakeLists.txt" file.

###############################################################################

project(clex)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})
include_directories(${CMAKE_BINARY_DIR})

FLEX_TARGET(clex_scanner
  clex.l
  ${PROJECT_BINARY_DIR}/clex.c
  )

add_executable(clex
  ${FLEX_clex_scanner_OUTPUTS}
  defs.h
  driver.c
  )

###############################################################################

project(strlex)
include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})
include_directories(${CMAKE_BINARY_DIR})

FLEX_TARGET(strlex_scanner
  strlex.l
  ${PROJECT_BINARY_DIR}/strlex.c
  )

add_executable(strlex
  ${FLEX_strlex_scanner_OUTPUTS}
  defs.h
  driver.c
  )

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU"
    OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
set_source_files_properties(clex.c PROPERTIES COMPILE_FLAGS -Wno-unused-function)
set_source_files_properties(strlex.c PROPERTIES COMPILE_FLAGS -Wno-unused-function)
endif()

###############################################################################

install(TARGETS clex strlex
  DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/${cvise_PACKAGE}/"
  )

###############################################################################

## End of file.

=== debian/changelog ===
cvise (2.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Jan 2021 19:21:35 +0100

cvise (2.0.0-4) unstable; urgency=medium

  * Update to the branch 20210108.
  * Build using LLVM 9 on armel, armhf. See #979495.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Jan 2021 14:02:42 +0100

## cvise 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -88,7 +88,7 @@
 # `git archive' inserts the abbreviated hash of the archive's commit into this
 # file.  (See the `.gitattributes' file.)
 #
-set(GIT_HASH "972f4ba")
+set(GIT_HASH "4c7f4cd")
 if(GIT_HASH MATCHES "^\\$")
   ## METHOD 2: The source tree is a git repository.
   get_git_head_revision(GIT_REFSPEC GIT_HASH)
@@ -122,11 +122,11 @@
 set(cvise_PACKAGE             "cvise")
 set(cvise_PACKAGE_BUGREPORT   "https://github.com/marxin/cvise/issues")
 set(cvise_PACKAGE_NAME        "cvise")
-set(cvise_PACKAGE_STRING      "cvise 2.1.0")
+set(cvise_PACKAGE_STRING      "cvise 2.2.0")
 set(cvise_PACKAGE_TARNAME     "cvise")
 set(cvise_PACKAGE_URL         "https://github.com/marxin/cvise/")
-set(cvise_PACKAGE_VERSION     "2.1.0")
-set(cvise_VERSION             "2.1.0")
+set(cvise_PACKAGE_VERSION     "2.2.0")
+set(cvise_VERSION             "2.2.0")
 set(cvise_LLVM_VERSION        "${LLVM_PACKAGE_VERSION}")
 
 configure_file("cmake_config.h.in" "${PROJECT_BINARY_DIR}/config.h")

=== clang_delta/CMakeLists.txt ===
## -*- mode: CMake -*-
##
## Copyright (c) 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019 The University of Utah
## All rights reserved.
##
## This file is distributed under the University of Illinois Open Source
## License.  See the file COPYING for details.

###############################################################################

cmake_minimum_required(VERSION 2.8.12)
project(clang_delta)

###############################################################################

# find_package(LLVM) is done by the topmost "CMakeLists.txt" file.
# find_package(Clang) is done by the topmost "CMakeLists.txt" file.

# Generate file "git_version.cpp".
#
configure_file("git_version.cpp.in" "git_version.cpp" @ONLY)

function(configure_one_file path)
  configure_file(
    "${clang_delta_SOURCE_DIR}/${path}"
    "${clang_delta_BINARY_DIR}/${path}"
    COPYONLY
  )
endfunction(configure_one_file)

set(SOURCE_FILES
  "/tests/test_clang_delta.py"
  "/tests/aggregate-to-scalar/cast.c"
  "/tests/aggregate-to-scalar/cast.output"
  "/tests/aggregate-to-scalar/test1.c"
  "/tests/aggregate-to-scalar/test1.output"
  "/tests/aggregate-to-scalar/test2.c"
  "/tests/aggregate-to-scalar/test2.output"
  "/tests/aggregate-to-scalar/test3.c"
  "/tests/aggregate-to-scalar/test3.output"
  "/tests/aggregate-to-scalar/test4.c"
  "/tests/aggregate-to-scalar/test4.output"
  "/tests/aggregate-to-scalar/test5.cc"
  "/tests/aggregate-to-scalar/test5.output"
  "/tests/aggregate-to-scalar/test6.cc"
  "/tests/aggregate-to-scalar/test6.output"
  "/tests/callexpr-to-value/macro1.c"
  "/tests/callexpr-to-value/macro1.output"
  "/tests/callexpr-to-value/macro2.c"
  "/tests/callexpr-to-value/macro2.output"
  "/tests/callexpr-to-value/test1.c"
  "/tests/callexpr-to-value/test1.output"
  "/tests/callexpr-to-value/test2.c"
  "/tests/callexpr-to-value/test2.output"
  "/tests/copy-propagation/copy1.cpp"
  "/tests/copy-propagation/copy1.output"
  "/tests/copy-propagation/copy2.cpp"
  "/tests/copy-propagation/copy2.output"
  "/tests/empty-struct-to-int/empty-struct.cpp"
  "/tests/empty-struct-to-int/empty-struct.output"
  "/tests/empty-struct-to-int/empty-struct2.cpp"
  "/tests/empty-struct-to-int/empty-struct2.output"
  "/tests/empty-struct-to-int/empty-struct3.cpp"
  "/tests/empty-struct-to-int/empty-struct3.output"
  "/tests/empty-struct-to-int/empty-struct4.cpp"
  "/tests/empty-struct-to-int/empty-struct4.output"
  "/tests/empty-struct-to-int/empty-struct5.cpp"
  "/tests/empty-struct-to-int/empty-struct5.output"
  "/tests/empty-struct-to-int/empty-struct6.c"
  "/tests/empty-struct-to-int/empty-struct6.output"
  "/tests/empty-struct-to-int/empty-struct7.c"
  "/tests/empty-struct-to-int/empty-struct7.output"
  "/tests/empty-struct-to-int/struct_int.c"
  "/tests/empty-struct-to-int/struct_int.output"
  "/tests/empty-struct-to-int/test1.cc"
  "/tests/empty-struct-to-int/test1.output"
  "/tests/empty-struct-to-int/test2.cc"
  "/tests/empty-struct-to-int/test2.output"
  "/tests/empty-struct-to-int/test3.c"
  "/tests/empty-struct-to-int/test3.output"
  "/tests/instantiate-template-param/default_param.cc"
  "/tests/instantiate-template-param/default_param.output"
  "/tests/instantiate-template-param/test1.cc"
  "/tests/instantiate-template-param/test1.output"
  "/tests/instantiate-template-param/test2.cc"
  "/tests/instantiate-template-param/test2.output"
  "/tests/instantiate-template-param/test3.cc"
  "/tests/local-to-global/macro.c"
  "/tests/local-to-global/macro.output"
  "/tests/local-to-global/unnamed_1.c"
  "/tests/local-to-global/unnamed_1.output"
  "/tests/local-to-global/unnamed_2.c"
  "/tests/local-to-global/unnamed_2.output"
  "/tests/local-to-global/unnamed_3.c"
  "/tests/local-to-global/unnamed_3.output"
  "/tests/param-to-global/macro.c"
  "/tests/param-to-global/macro.output"
  "/tests/reduce-array-dim/non-type-temp-arg.cpp"
  "/tests/reduce-array-dim/non-type-temp-arg.output"
  "/tests/reduce-pointer-level/scalar-init-expr.cpp"
  "/tests/reduce-pointer-level/scalar-init-expr.output"
  "/tests/remove-namespace/macro.cpp"
  "/tests/remove-namespace/macro.output"
  "/tests/remove-namespace/macro.output2"
  "/tests/remove-namespace/macro.output3"
  "/tests/remove-namespace/macro.output4"
  "/tests/remove-namespace/macro.output5"
  "/tests/remove-namespace/namespace.cpp"
  "/tests/remove-namespace/namespace.output"
  "/tests/remove-namespace/namespace.output2"
  "/tests/remove-namespace/namespace.output3"
  "/tests/remove-namespace/namespace2.cpp"
  "/tests/remove-namespace/namespace2.output"
  "/tests/remove-namespace/namespace2.output2"
  "/tests/remove-namespace/namespace3.cpp"
  "/tests/remove-namespace/namespace3.output"
  "/tests/remove-namespace/namespace3.output2"
  "/tests/remove-namespace/namespace3.output3"
  "/tests/remove-namespace/namespace4.cpp"
  "/tests/remove-namespace/namespace4.output"
  "/tests/remove-namespace/namespace5.cpp"
  "/tests/remove-namespace/namespace5.output"
  "/tests/remove-namespace/namespace5.output2"
  "/tests/remove-namespace/namespace5.output3"
  "/tests/remove-namespace/namespace5.output4"
  "/tests/remove-namespace/namespace6.cpp"
  "/tests/remove-namespace/namespace6.output"
  "/tests/remove-namespace/namespace6.output2"
  "/tests/remove-namespace/namespace7.cpp"
  "/tests/remove-namespace/namespace7.output"
  "/tests/remove-namespace/namespace7.output2"
  "/tests/remove-namespace/namespace7.output3"
  "/tests/remove-namespace/namespace8.cpp"
  "/tests/remove-namespace/namespace8.output"
  "/tests/remove-namespace/namespace8.output2"
  "/tests/remove-namespace/namespace9.cpp"
  "/tests/remove-namespace/namespace9.output"
  "/tests/remove-namespace/namespace10.cpp"
  "/tests/remove-namespace/namespace10.output"
  "/tests/remove-namespace/namespace10.output2"
  "/tests/remove-namespace/namespace11.cpp"
  "/tests/remove-namespace/namespace11.output"
  "/tests/remove-namespace/namespace11.output2"
  "/tests/remove-namespace/namespace12.cpp"
  "/tests/remove-namespace/namespace12.output"
  "/tests/remove-namespace/namespace12.output2"
  "/tests/remove-namespace/namespace12.output3"
  "/tests/remove-namespace/namespace13.cpp"
  "/tests/remove-namespace/namespace13.output"
  "/tests/remove-namespace/namespace13.output2"
  "/tests/remove-namespace/namespace14.cpp"
  "/tests/remove-namespace/namespace14.output"
  "/tests/remove-namespace/namespace15.cpp"
  "/tests/remove-namespace/namespace15.output"
  "/tests/remove-namespace/namespace15.output2"
  "/tests/remove-namespace/namespace15.output3"
  "/tests/remove-enum-member-value/builtin_macro.c"
  "/tests/remove-enum-member-value/builtin_macro.output"
  "/tests/remove-unused-enum-member/range.c"
  "/tests/remove-unused-enum-member/range.output"
  "/tests/remove-nested-function/remove_nested_func1.cc"
  "/tests/remove-nested-function/remove_nested_func1.output"
  "/tests/remove-try-catch/try-catch-1.cpp"
  "/tests/remove-try-catch/try-catch-1.output"
  "/tests/remove-try-catch/try-catch-2.cpp"
  "/tests/remove-try-catch/try-catch-2.output"
  "/tests/remove-unused-field/designated1.c"
  "/tests/remove-unused-field/designated1.output"
  "/tests/remove-unused-field/designated2.c"
  "/tests/remove-unused-field/designated2.output"
  "/tests/remove-unused-field/designated3.c"
  "/tests/remove-unused-field/designated3.output"
  "/tests/remove-unused-field/designated4.c"
  "/tests/remove-unused-field/designated4.output"
  "/tests/remove-unused-field/designated5.c"
  "/tests/remove-unused-field/designated5.output"
  "/tests/remove-unused-field/unused_field1.c"
  "/tests/remove-unused-field/unused_field1.output"
  "/tests/remove-unused-field/unused_field2.c"
  "/tests/remove-unused-field/unused_field2.output"
  "/tests/remove-unused-field/unused_field3.cpp"
  "/tests/remove-unused-field/unused_field3.output"
  "/tests/remove-unused-function/class.cc"
  "/tests/remove-unused-function/class.output"
  "/tests/remove-unused-function/const.cc"
  "/tests/remove-unused-function/const.output"
  "/tests/remove-unused-function/const.output2"
  "/tests/remove-unused-function/default.cc"
  "/tests/remove-unused-function/default.output"
  "/tests/remove-unused-function/default.output2"
  "/tests/remove-unused-function/delete.cc"
  "/tests/remove-unused-function/delete.output"
  "/tests/remove-unused-function/delete2.cc"
  "/tests/remove-unused-function/delete2.output"
  "/tests/remove-unused-function/delete2.output2"
  "/tests/remove-unused-function/delete2.output3"
  "/tests/remove-unused-function/delete2.output4"
  "/tests/remove-unused-function/inline_ns.cc"
  "/tests/remove-unused-function/inline_ns.output"
  "/tests/remove-unused-function/macro1.cc"
  "/tests/remove-unused-function/macro1.output"
  "/tests/remove-unused-function/macro2.cc"
  "/tests/remove-unused-function/macro2.output"
  "/tests/remove-unused-function/macro3.cc"
  "/tests/remove-unused-function/macro3.output"
  "/tests/remove-unused-function/template1.cc"
  "/tests/remove-unused-function/template1.output"
  "/tests/remove-unused-function/template2.cc"
  "/tests/remove-unused-function/template2.output"
  "/tests/remove-unused-function/unused-funcs.cc"
  "/tests/remove-unused-function/unused-funcs.output"
  "/tests/remove-unused-var/struct1.c"
  "/tests/remove-unused-var/struct1.output"
  "/tests/remove-unused-var/struct2.c"
  "/tests/remove-unused-var/struct2.output"
  "/tests/remove-unused-var/unused_var.cpp"
  "/tests/remove-unused-var/unused_var.output"
  "/tests/rename-class/base_specifier.cpp"
  "/tests/rename-class/base_specifier.output"
  "/tests/rename-class/bool.cc"
  "/tests/rename-class/bool.output"
  "/tests/rename-class/class_template.cc"
  "/tests/rename-class/class_template.output"
  "/tests/rename-class/class_template2.cc"
  "/tests/rename-class/class_template2.output"
  "/tests/rename-class/dependent.cpp"
  "/tests/rename-class/dependent.output"
  "/tests/rename-class/dependent_name.cpp"
  "/tests/rename-class/dependent_name.output"
  "/tests/rename-class/derive.cc"
  "/tests/rename-class/derive.output"
  "/tests/rename-class/dtor.cc"
  "/tests/rename-class/dtor.output"
  "/tests/rename-class/dtor1.cc"
  "/tests/rename-class/dtor1.output"
  "/tests/rename-class/elaborated_type1.cpp"
  "/tests/rename-class/elaborated_type1.output"
  "/tests/rename-class/elaborated_type2.cpp"
  "/tests/rename-class/elaborated_type2.output"
  "/tests/rename-class/explicit_specialization.cpp"
  "/tests/rename-class/explicit_specialization.output"
  "/tests/rename-class/forward_decl.cc"
  "/tests/rename-class/forward_decl.output"
  "/tests/rename-class/injected_name.cpp"
  "/tests/rename-class/injected_name.output"
  "/tests/rename-class/instantiation.cpp"
  "/tests/rename-class/instantiation.output"
  "/tests/rename-class/parm.cpp"
  "/tests/rename-class/parm.output"
  "/tests/rename-class/partial_specialization.cpp"
  "/tests/rename-class/partial_specialization.output"
  "/tests/rename-class/rename-class1.cpp"
  "/tests/rename-class/rename-class1.output"
  "/tests/rename-class/rename-class2.cpp"
  "/tests/rename-class/rename-class2.output"
  "/tests/rename-class/specialization.cpp"
  "/tests/rename-class/specialization.output"
  "/tests/rename-class/static_member.cc"
  "/tests/rename-class/static_member.output"
  "/tests/rename-class/template_class_1.cpp"
  "/tests/rename-class/template_class_1.output"
  "/tests/rename-class/template_parm.cpp"
  "/tests/rename-class/template_parm.output"
  "/tests/rename-class/template_template.cpp"
  "/tests/rename-class/template_template.output"
  "/tests/rename-class/template_template_parm.cpp"
  "/tests/rename-class/template_template_parm.output"
  "/tests/rename-class/typedef.cpp"
  "/tests/rename-class/typedef.output"
  "/tests/rename-class/typedef2.cc"
  "/tests/rename-class/typedef2.output"
  "/tests/rename-class/using.cpp"
  "/tests/rename-class/using.output"
  "/tests/rename-class/using1.cc"
  "/tests/rename-class/using1.output"
  "/tests/rename-cxx-method/overloaded.cc"
  "/tests/rename-cxx-method/overloaded.output"

=== debian/changelog ===
cvise (2.2.0-2) unstable; urgency=medium

  * Fix issue #47, remove temporary files in working directory.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Mar 2021 16:41:40 +0100

cvise (2.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Mar 2021 18:25:42 +0100

## cvise 2.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -88,7 +88,7 @@
 # `git archive' inserts the abbreviated hash of the archive's commit into this
 # file.  (See the `.gitattributes' file.)
 #
-set(GIT_HASH "4c7f4cd")
+set(GIT_HASH "3f80c31")
 if(GIT_HASH MATCHES "^\\$")
   ## METHOD 2: The source tree is a git repository.
   get_git_head_revision(GIT_REFSPEC GIT_HASH)
@@ -122,11 +122,11 @@
 set(cvise_PACKAGE             "cvise")
 set(cvise_PACKAGE_BUGREPORT   "https://github.com/marxin/cvise/issues")
 set(cvise_PACKAGE_NAME        "cvise")
-set(cvise_PACKAGE_STRING      "cvise 2.2.0")
+set(cvise_PACKAGE_STRING      "cvise 2.3.0")
 set(cvise_PACKAGE_TARNAME     "cvise")
 set(cvise_PACKAGE_URL         "https://github.com/marxin/cvise/")
-set(cvise_PACKAGE_VERSION     "2.2.0")
-set(cvise_VERSION             "2.2.0")
+set(cvise_PACKAGE_VERSION     "2.3.0")
+set(cvise_VERSION             "2.3.0")
 set(cvise_LLVM_VERSION        "${LLVM_PACKAGE_VERSION}")
 
 configure_file("cmake_config.h.in" "${PROJECT_BINARY_DIR}/config.h")

=== cvise/CMakeLists.txt ===
## -*- mode: CMake -*-
##
## Copyright (c) 2012, 2013, 2014, 2015, 2016, 2018, 2019 The University of Utah
## All rights reserved.
##
## This file is distributed under the University of Illinois Open Source
## License.  See the file COPYING for details.

###############################################################################

cmake_minimum_required(VERSION 2.8.12)

project(cvise_python)

###############################################################################

# find_package(LLVM) is done by the topmost "CMakeLists.txt" file.

###############################################################################

# Check for the run-time prerequisites of C-Vise.  We only warn the user when
# these are not found at configure time.  Let the user install the dependencies
# later.
#
if(CLANG_FORMAT)
  find_program(CLANG_FORMAT_PATH
    "${CLANG_FORMAT}"
    PATHS "${LLVM_TOOLS_BINARY_DIR}"
  )
else()
  find_program(CLANG_FORMAT_PATH
    "clang-format${CMAKE_EXECUTABLE_SUFFIX}"
    PATHS "${LLVM_TOOLS_BINARY_DIR}"
    )
endif()

if(NOT CLANG_FORMAT_PATH)
  message(STATUS "`clang-format${CMAKE_EXECUTABLE_SUFFIX}' was not found")
  message("You must install `clang-format' before running C-Vise.")
  set(CLANG_FORMAT_PATH "clang-format")
else()
  message(STATUS "Using clang-format in ${CLANG_FORMAT_PATH}")
endif()

###############################################################################

# Generate file "cvise.py".
#
configure_file("${cvise_python_SOURCE_DIR}/cvise.py"
  "${cvise_python_BINARY_DIR}/cvise.py"
)

###############################################################################

# Copy the Python modules into the build tree so that we can run C-Vise there.
#
function(configure_one_file path)
  configure_file(
    "${cvise_python_SOURCE_DIR}/${path}"
    "${cvise_python_BINARY_DIR}/${path}"
    COPYONLY
  )
endfunction(configure_one_file)

set(SOURCE_FILES
  "__init__.py"
  "pass_groups/all.json"
  "pass_groups/opencl-120.json"
  "pass_groups/delta.json"
  "passes/__init__.py"
  "passes/abstract.py"
  "passes/balanced.py"
  "passes/blank.py"
  "passes/clang.py"
  "passes/clangbinarysearch.py"
  "passes/clex.py"
  "passes/comments.py"
  "passes/ifs.py"
  "passes/includeincludes.py"
  "passes/includes.py"
  "passes/indent.py"
  "passes/ints.py"
  "passes/line_markers.py"
  "passes/lines.py"
  "passes/peep.py"
  "passes/special.py"
  "passes/ternary.py"
  "passes/unifdef.py"
  "tests/__init__.py"
  "tests/testabstract.py"
  "tests/test_balanced.py"
  "tests/test_comments.py"
  "tests/test_ifs.py"
  "tests/test_ints.py"
  "tests/test_line_markers.py"
  "tests/test_nestedmatcher.py"
  "tests/test_peep.py"
  "tests/test_special.py"
  "tests/test_ternary.py"
  "utils/__init__.py"
  "utils/error.py"
  "utils/nestedmatcher.py"
  "utils/readkey.py"
  "utils/statistics.py"
  "utils/testing.py"
)

foreach(file IN LISTS SOURCE_FILES)
  configure_one_file(${file})
endforeach()

###############################################################################

install(DIRECTORY "${cvise_python_BINARY_DIR}/"
  DESTINATION "${CMAKE_INSTALL_DATADIR}/${cvise_PACKAGE}"
  FILES_MATCHING
  PATTERN "*.py"
  PATTERN "*.json"
  PATTERN "__pycache__" EXCLUDE
  PATTERN "CMakeFiles" EXCLUDE
)

###############################################################################

## End of file.

=== debian/changelog ===
cvise (2.3.0-0ubuntu1~20.04) focal-proposed; urgency=medium

  * SRU: LP: #1921105. Backport cvise.
  * Build using LLVM 11, and LLVM 9 on armel, armhf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Mar 2021 18:35:18 +0100

cvise (2.3.0-0ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Build using LLVM 12.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Mar 2021 11:11:13 +0100

=== debian/control ===
Source: cvise
Section: misc
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper-compat (= 12),
  dh-python,
  chrpath,
  cmake,
  flex,
  python3,
  python3-pebble,
  python3-psutil,
  python3-pytest <!nocheck>,
  python3-pytest-flake8 <!nocheck>,
  llvm-11-dev [!armel !armhf], libclang-11-dev [!armel !armhf], clang-11 [!armel !armhf], clang-format-11 [!armel !armhf],
  llvm-9-dev [armel armhf], libclang-9-dev [armel armhf], clang-9 [armel armhf], clang-format-9 [armel armhf],
  unifdef,
Standards-Version: 4.5.1
Homepage: https://github.com/marxin/cvise

Package: cvise
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  clang-format-11 [!armel !armhf],
  clang-format-9 [armel armhf],
  python3,
  python3-pebble,
  python3-psutil,
  unifdef,
Description: super-parallel Python port of the C-Reduce project
 C-Vise is a tool that takes a large C, C++ or OpenCL program that has
 a property of interest (such as triggering a compiler bug) and
 automatically produces a much smaller C/C++ or OpenCL program that
 has the same property. It is intended for use by people who discover
 and report bugs in compilers and other tools that process C/C++ or
 OpenCL code.
 .
 NOTE: C-Vise happens to do a pretty good job reducing the size of
 programs in languages other than C/C++, such as JavaScript and
 Rust. If you need to reduce programs in some other language, please
 give it a try.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
  CLANG_V=9
else
  CLANG_V=11
endif
V=$(shell dpkg-parsechangelog -S Version | sed 's/-.*$$//')

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_PREFIX_PATH=/usr/lib/llvm-$(CLANG_V) \
		-DCLANG_FORMAT=clang-format-$(CLANG_V) \
		-DCMAKE_INSTALL_LIBEXECDIR=lib

override_dh_auto_build:
	dh_auto_build

override_dh_auto_install:
	dh_auto_install

ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
	if which help2man >/dev/null 2>&1; then \
	  DESTDIR=$(CURDIR)/debian/cvise help2man --name='super-parallel Python port of the C-Reduce project' \
	    --version-string=$(V) \
	    --no-info \
	    debian/cvise/usr/bin/cvise > debian/cvise.1; \
	fi
endif
	mkdir -p debian/cvise/usr/share/man/man1
	cp debian/cvise.1 debian/cvise/usr/share/man/man1/cvise.1

override_dh_shlibdeps:
	chrpath -d debian/cvise/usr/lib/cvise/clang_delta
	dh_shlibdeps

override_dh_auto_clean:
	find -name __pycache__ | xargs -r rm -rf
	dh_auto_clean

## cvise 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -88,7 +88,7 @@
 # `git archive' inserts the abbreviated hash of the archive's commit into this
 # file.  (See the `.gitattributes' file.)
 #
-set(GIT_HASH "3f80c31")
+set(GIT_HASH "5c63665")
 if(GIT_HASH MATCHES "^\\$")
   ## METHOD 2: The source tree is a git repository.
   get_git_head_revision(GIT_REFSPEC GIT_HASH)
@@ -122,11 +122,11 @@
 set(cvise_PACKAGE             "cvise")
 set(cvise_PACKAGE_BUGREPORT   "https://github.com/marxin/cvise/issues")
 set(cvise_PACKAGE_NAME        "cvise")
-set(cvise_PACKAGE_STRING      "cvise 2.3.0")
+set(cvise_PACKAGE_STRING      "cvise 2.4.0")
 set(cvise_PACKAGE_TARNAME     "cvise")
 set(cvise_PACKAGE_URL         "https://github.com/marxin/cvise/")
-set(cvise_PACKAGE_VERSION     "2.3.0")
-set(cvise_VERSION             "2.3.0")
+set(cvise_PACKAGE_VERSION     "2.4.0")
+set(cvise_VERSION             "2.4.0")
 set(cvise_LLVM_VERSION        "${LLVM_PACKAGE_VERSION}")
 
 configure_file("cmake_config.h.in" "${PROJECT_BINARY_DIR}/config.h")

=== clang_delta/CMakeLists.txt ===
--- 
+++ 
@@ -52,6 +52,9 @@
   "/tests/callexpr-to-value/test1.output"
   "/tests/callexpr-to-value/test2.c"
   "/tests/callexpr-to-value/test2.output"
+  "/tests/class-to-struct/class-to-struct1.C"
+  "/tests/class-to-struct/class-to-struct1.output"
+  "/tests/class-to-struct/class-to-struct-forward.C"
   "/tests/copy-propagation/copy1.cpp"
   "/tests/copy-propagation/copy1.output"
   "/tests/copy-propagation/copy2.cpp"
@@ -271,7 +274,3 @@
   "/tests/rename-class/typedef2.output"
   "/tests/rename-class/using.cpp"
   "/tests/rename-class/using.output"
-  "/tests/rename-class/using1.cc"
-  "/tests/rename-class/using1.output"
-  "/tests/rename-cxx-method/overloaded.cc"
-  "/tests/rename-cxx-method/overloaded.output"

=== debian/changelog ===
cvise (2.4.0-3) unstable; urgency=medium

  * Build using LLVM 14.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Feb 2022 00:59:37 +0100

cvise (2.4.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove stale LLVM 9 build dependencies on armel/armhf.
    (Closes: #1000892)
  * Recommend colordiff. (Closes: #1001375)

 -- Adrian Bunk <bunk@debian.org>  Wed, 29 Dec 2021 22:41:49 +0200

cvise (2.4.0-2) unstable; urgency=medium

  * (Build-)depend on python3-chardet.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Nov 2021 16:15:02 +0200

cvise (2.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Build using LLVM 13.
  * Bump standards version.

 -- Matthias Klose <doko@debian.or>  Tue, 02 Nov 2021 14:43:50 +0200

cvise (2.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Can be built using LLVM 12, which also fixes #979495.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Mar 2021 12:47:09 +0100

=== debian/control ===
--- 
+++ 
@@ -9,25 +9,26 @@
   cmake,
   flex,
   python3,
+  python3-chardet,
   python3-pebble,
   python3-psutil,
   python3-pytest <!nocheck>,
   python3-pytest-flake8 <!nocheck>,
-  llvm-11-dev [!armel !armhf], libclang-11-dev [!armel !armhf], clang-11 [!armel !armhf], clang-format-11 [!armel !armhf],
-  llvm-9-dev [armel armhf], libclang-9-dev [armel armhf], clang-9 [armel armhf], clang-format-9 [armel armhf],
+  llvm-14-dev, libclang-14-dev, clang-14, clang-format-14,
   unifdef,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/marxin/cvise
 
 Package: cvise
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
-  clang-format-11 [!armel !armhf],
-  clang-format-9 [armel armhf],
+  clang-format-14,
   python3,
+  python3-chardet,
   python3-pebble,
   python3-psutil,
   unifdef,
+Recommends: colordiff
 Description: super-parallel Python port of the C-Reduce project
  C-Vise is a tool that takes a large C, C++ or OpenCL program that has
  a property of interest (such as triggering a compiler bug) and

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,7 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
-  CLANG_V=9
-else
-  CLANG_V=11
-endif
+CLANG_V=14
 V=$(shell dpkg-parsechangelog -S Version | sed 's/-.*$$//')
 
 %:

## cvise 2.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -88,7 +88,7 @@
 # `git archive' inserts the abbreviated hash of the archive's commit into this
 # file.  (See the `.gitattributes' file.)
 #
-set(GIT_HASH "5c63665")
+set(GIT_HASH "f61c4b65")
 if(GIT_HASH MATCHES "^\\$")
   ## METHOD 2: The source tree is a git repository.
   get_git_head_revision(GIT_REFSPEC GIT_HASH)
@@ -122,11 +122,11 @@
 set(cvise_PACKAGE             "cvise")
 set(cvise_PACKAGE_BUGREPORT   "https://github.com/marxin/cvise/issues")
 set(cvise_PACKAGE_NAME        "cvise")
-set(cvise_PACKAGE_STRING      "cvise 2.4.0")
+set(cvise_PACKAGE_STRING      "cvise 2.5.0")
 set(cvise_PACKAGE_TARNAME     "cvise")
 set(cvise_PACKAGE_URL         "https://github.com/marxin/cvise/")
-set(cvise_PACKAGE_VERSION     "2.4.0")
-set(cvise_VERSION             "2.4.0")
+set(cvise_PACKAGE_VERSION     "2.5.0")
+set(cvise_VERSION             "2.5.0")
 set(cvise_LLVM_VERSION        "${LLVM_PACKAGE_VERSION}")
 
 configure_file("cmake_config.h.in" "${PROJECT_BINARY_DIR}/config.h")
@@ -146,16 +146,13 @@
     OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
   # XXX figure out how to get "-std=c++14 -fno-rtti" from LLVM.  That's how we
   # get those options in the Automake path...
-  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra")
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -fno-rtti -fno-strict-aliasing -Wall -Wextra -Wno-unused-parameter")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Werror -Wno-error=maybe-uninitialized")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -fno-rtti -fno-strict-aliasing -Wall -Wextra -Wno-unused-parameter -Werror -Wno-error=maybe-uninitialized")
   if(SUPPORTS_FVISIBILITY_INLINES_HIDDEN_FLAG)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
   endif()
   set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3")
   set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -O3")
-
-  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Werror")
-  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Werror")
 endif()
 
 ###############################################################################

=== clex/CMakeLists.txt ===
--- 
+++ 
@@ -54,6 +54,10 @@
 set_source_files_properties(clex.c PROPERTIES COMPILE_FLAGS -Wno-unused-function)
 set_source_files_properties(strlex.c PROPERTIES COMPILE_FLAGS -Wno-unused-function)
 endif()
+if(CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
+set_source_files_properties(clex.c PROPERTIES COMPILE_FLAGS -DYY_NO_UNISTD_H)
+set_source_files_properties(strlex.c PROPERTIES COMPILE_FLAGS -DYY_NO_UNISTD_H)
+endif()
 
 ###############################################################################

=== debian/changelog ===
cvise (2.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Sep 2022 16:37:13 +0200

## cvise 2.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -88,7 +88,7 @@
 # `git archive' inserts the abbreviated hash of the archive's commit into this
 # file.  (See the `.gitattributes' file.)
 #
-set(GIT_HASH "f61c4b65")
+set(GIT_HASH "09a5d1ec")
 if(GIT_HASH MATCHES "^\\$")
   ## METHOD 2: The source tree is a git repository.
   get_git_head_revision(GIT_REFSPEC GIT_HASH)
@@ -122,11 +122,11 @@
 set(cvise_PACKAGE             "cvise")
 set(cvise_PACKAGE_BUGREPORT   "https://github.com/marxin/cvise/issues")
 set(cvise_PACKAGE_NAME        "cvise")
-set(cvise_PACKAGE_STRING      "cvise 2.5.0")
+set(cvise_PACKAGE_STRING      "cvise 2.6.0")
 set(cvise_PACKAGE_TARNAME     "cvise")
 set(cvise_PACKAGE_URL         "https://github.com/marxin/cvise/")
-set(cvise_PACKAGE_VERSION     "2.5.0")
-set(cvise_VERSION             "2.5.0")
+set(cvise_PACKAGE_VERSION     "2.6.0")
+set(cvise_VERSION             "2.6.0")
 set(cvise_LLVM_VERSION        "${LLVM_PACKAGE_VERSION}")
 
 configure_file("cmake_config.h.in" "${PROJECT_BINARY_DIR}/config.h")

=== clang_delta/CMakeLists.txt ===
--- 
+++ 
@@ -55,6 +55,8 @@
   "/tests/class-to-struct/class-to-struct1.C"
   "/tests/class-to-struct/class-to-struct1.output"
   "/tests/class-to-struct/class-to-struct-forward.C"
+  "/tests/class-template-to-class/test1.cc"
+  "/tests/class-template-to-class/test1.output"
   "/tests/copy-propagation/copy1.cpp"
   "/tests/copy-propagation/copy1.output"
   "/tests/copy-propagation/copy2.cpp"
@@ -88,6 +90,8 @@
   "/tests/instantiate-template-param/test2.cc"
   "/tests/instantiate-template-param/test2.output"
   "/tests/instantiate-template-param/test3.cc"
+  "/tests/instantiate-template-param/test4.cc"
+  "/tests/instantiate-template-param/test4.output"
   "/tests/local-to-global/macro.c"
   "/tests/local-to-global/macro.output"
   "/tests/local-to-global/unnamed_1.c"
@@ -269,8 +273,3 @@
   "/tests/rename-class/template_template_parm.cpp"
   "/tests/rename-class/template_template_parm.output"
   "/tests/rename-class/typedef.cpp"
-  "/tests/rename-class/typedef.output"
-  "/tests/rename-class/typedef2.cc"
-  "/tests/rename-class/typedef2.output"
-  "/tests/rename-class/using.cpp"
-  "/tests/rename-class/using.output"

=== debian/changelog ===
cvise (2.6.0-1) unstable; urgency=medium

  * New upstream version.
  * Build using LLVM 15.
  * Build-depend on clang-tools-15, clang-tidy-15, clangd-15. These are not
    used in anyway, but LLVM's broken cmake support requires these.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Oct 2022 20:33:43 +0200

=== debian/control ===
--- 
+++ 
@@ -14,15 +14,16 @@
   python3-psutil,
   python3-pytest <!nocheck>,
   python3-pytest-flake8 <!nocheck>,
-  llvm-14-dev, libclang-14-dev, clang-14, clang-format-14,
+  llvm-15-dev, libclang-15-dev, clang-15, clang-format-15,
+  clang-tools-15, clang-tidy-15, clangd-15,
   unifdef,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/marxin/cvise
 
 Package: cvise
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
-  clang-format-14,
+  clang-format-15,
   python3,
   python3-chardet,
   python3-pebble,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-CLANG_V=14
+CLANG_V=15
 V=$(shell dpkg-parsechangelog -S Version | sed 's/-.*$$//')
 
 %:
